Loading...
Searching...
No Matches
Alembic::Ogawa::ALEMBIC_VERSION_NS::IStreams Class Reference

## Classes

class | PrivateData

## Public Member Functions

| IStreams (const std::string &iFileName, std::size_t iNumStreams=1, bool iUseMMap=true)
| IStreams (const std::vector< std::istream * > &iStreams)
bool | isValid ()
bool | isFrozen ()
Alembic::Util::uint16_t | getVersion ()
Alembic::Util::uint64_t | getSize ()
void | read (std::size_t iThreadId, Alembic::Util::uint64_t iPos, Alembic::Util::uint64_t iSize, void *oBuf)

The documentation for this class was generated from the following files:

- Ogawa/IStreams.h
- Ogawa/IStreams.cpp